Subject: Re: [regext] EXTENDED: Re: CALL FOR ADOPTION: draft-loffredo-regext-rdap-jcard-deprecation-03

From: "James Galvin" <[email-masked]>
Date: Mon, 15 Mar 2021 09:26:19 -0400

Thanks to all who responded to the Call for Adoption.  Five people 
indicated support during the extended call period with two being the 
authors.  There was 1 additional indication of support during the 
original call for support.  There were no objections.

This document is adopted by the working group.

The authors are now asked to resubmit the existing document, version-04, 
as a working group document using the following name:

	draft-ietf-regext-rdap-jscontact

The chairs will link the new document to the previous individual 
submissions and work can begin on the mailing list.

Antoin and Jim

On 10 Feb 2021, at 14:33, James Galvin wrote:

> The Chairs would like to extend this CALL FOR ADOPTION because we’d 
> like to separate out an issue that has come up in the discussion of 
> this adoption.  We are hoping that this clarity will address the 
> concern that has been raised.
>
> This document actually covers two distinct issues.
>
> 1. A specification for jsContact.
> 2. A proposal for migrating to jsContact from jCard.
>
> There are words suggesting that jCard would be deprecated as part of 
> this and the question has been raised on the list as to whether or not 
> this is actually a reality.
>
> The Chairs would like to propose that we separate out the question of 
> whether or not jCard will be deprecated.  That is better considered as 
> a separate question.
>
> Since there is precedent in the IETF for documenting alternate ways of 
> meeting a requirement, here is what we propose.
>
> This CALL FOR ADOPTION is to commit to a specification of jsContact.  
> The specification would be permitted to document how one could migrate 
> from jCard to jsContact.  The starting point for this work is 
> draft-loffredo-regext-rdap-jcard-deprecation-03.
>
> If this document is adopted, then we will need to consider the 
> relationship between the use of jsContact and jCard.  The IESG will 
> ask us this question as part of considering the publication of any 
> document we develop.  This will effect the potential status of the 
> document, e.g., Proposed Standard vs Experimental.  More specifically, 
> we will need to consider whether there is support to migrate to 
> something new given the legacy deployment.  It is appropriate to have 
> this discussion within the working group.
>
> With all that in mind, here is the revised, extended CALL FOR 
> ADOPTION:
>
>
> This is a formal adoption request for “Using JSContact in 
> Registration Data Access Protocol (RDAP) JSON Responses”:
>
> https://datatracker.ietf.org/doc/draft-loffredo-regext-rdap-jcard-deprecation/
>
> This document will serve as the starting point for documenting 
> jsContact.  It may also document how to migrate from jCard to 
> jsContact, depending on the consensus of the working group.
>
> Please review this draft to see if you think it is suitable for 
> adoption by REGEXT for the stated purpose, and comment to the list, 
> clearly stating your view.
>
> If adopted, the document will be renamed as follows: 
> draft-ietf-regext-rdap-jscontact.
>
> Please indicate if you are willing to contribute text, review text, or 
> be a document shepherd.
>
> Please also indicate any preference you have for a proposed milestone 
> date.
>
> This call for adoption ends Monday, 22 February 2021.
>
> If there are no objections, and we receive enough consensus for 
> adoption, the chairs will consider this document adopted.
>
> Thanks,
>
> Your REGEXT co-chairs Antoin and Jim
>
>
>
>
> On 18 Jan 2021, at 9:29, James Galvin wrote:
>
>> This is a formal adoption request for “Using JSContact in 
>> Registration Data Access Protocol (RDAP) JSON Responses”:
>>
>> https://datatracker.ietf.org/doc/draft-loffredo-regext-rdap-jcard-deprecation/
>>
>> Please review this draft to see if you think it is suitable for 
>> adoption by REGEXT, and comment to the list, clearly stating your 
>> view.
>>
>> Please indicate if you are willing to contribute text, review text, 
>> or be a document shepherd.
>>
>> Please also indicate any preference you have for a proposed milestone 
>> date.
>>
>> This call for adoption ends Monday, 1 February 2021.
>>
>> If there are no objections, and we receive enough consensus for 
>> adoption, the chairs will consider this document adopted.
>>
>> Thanks,
>>
>> Your REGEXT co-chairs Antoin and Jim